Get projects 3

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/project

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • guid string
    • activityDefaultDurationType integer(int32)
    • originalProjectId integer(int64)
    • initialProjectId integer(int64)
    • baselineSet boolean
    • scheduleType string

      Values are Automatic, UserDriven, DataDriven, or ImportOnly.

    • performanceTrack boolean
    • costTrack boolean
    • hasHistoricalTracking boolean
    • imagePath string
    • defaultScenarioId integer(int64)
    • originalScenarioId integer(int64)
    • archived boolean
    • weatherProfileId integer(int64)
    • percentCompleteType string

      Values are Duration, Resource, Cost, or Overall.

    • defaultCalendarId integer(int64)
    • calendarNameLength45 boolean
    • weatherStationId string
    • creationType string

      Values are MANUAL, QUALITY_CHECK, SCHEDULE_COMPARISON, or SCHEDULE_REVIEW.

    • name string
    • id integer(int64)
    • state string
    • timeZone string
    • country string
    • source string

      Values are SmartPM, XER, MPP, Excel, PMXML, PPX, or PP.

    • status string

      Values are ACTIVE, INACTIVE, or COMPLETE.

    • companyId string
    • startDate string(date)
    • latitude number
    • longitude number
    • projectPlanId string
    • underConstruction boolean
    • riskProfileId integer(int64)
    • qualityProfileId integer(int64)
    • city string
    • zipCode string
    • endDate string(date)
GET /company/{companyId}/project
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/project' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "guid": "string",
    "activityDefaultDurationType": 42,
    "originalProjectId": 42,
    "initialProjectId": 42,
    "baselineSet": true,
    "scheduleType": "Automatic",
    "performanceTrack": true,
    "costTrack": true,
    "hasHistoricalTracking": true,
    "imagePath": "string",
    "defaultScenarioId": 42,
    "originalScenarioId": 42,
    "archived": true,
    "weatherProfileId": 42,
    "percentCompleteType": "Duration",
    "defaultCalendarId": 42,
    "calendarNameLength45": true,
    "weatherStationId": "string",
    "creationType": "MANUAL",
    "name": "string",
    "id": 42,
    "state": "string",
    "timeZone": "string",
    "country": "string",
    "source": "SmartPM",
    "status": "ACTIVE",
    "companyId": "string",
    "startDate": "2026-05-04",
    "latitude": 42.0,
    "longitude": 42.0,
    "projectPlanId": "string",
    "underConstruction": true,
    "riskProfileId": 42,
    "qualityProfileId": 42,
    "city": "string",
    "zipCode": "string",
    "endDate": "2026-05-04"
  }
]